Multivariate Pattern Analysis in Python

# mvpa2.support.nibabel.afni_niml_dset.sparse2full

`mvpa2.support.nibabel.afni_niml_dset.``sparse2full`(dset, pad_to_ico_ld=None, pad_to_node=None, ico_ld_surface_count=1, set_missing_values=0)

  Creates a ‘full’ dataset which has values associated with all nodes

  Parameters:

  dset: dict

  > afni_niml_dset-like dictionary with at least a field ‘data’

  pad_to_node_ico_ld: int

  > number of linear divisions (only applicable if used through AFNI’s MapIcosehedron) of the surface this dataset refers to.

  pad_to_node: int

  > number of nodes of the surface this data

  ico_ld_surface_count: int (default: 1)

  > if pad_to_ico_ld is set, this sets the number of surfaces that were origingally used. The typical use case is using a ‘merged’ surface originally based on a left and right hemisphere

  set_missing_values: int or float (default: 0)

  > value to which nodes not present in dset are set.

  Returns:

  dset: dict

  > afni_niml_dset-like dictionary with at least fields ‘data’ and ‘node_indices’.